### Hierarchy

- ImageOptoOptions

## Index

### Properties

- errorLog
- filter
- force
- quiet

## Properties

### Optional errorLog

errorLog: ErrorLogger

- Defined in src/lib/imageopto.ts:27

### filter

filter: RequestFilter

- Defined in src/lib/imageopto.ts:28

### Optional force

force: undefined | false | true

- Defined in src/lib/imageopto.ts:35

Hastily detects when the served image has already been optimized by Hastily or the real Fastly API, by looking for headers. By default, it disables its own optimizer for such images. Set this to `false` explicitly to force hastily to re-optimize those images anyway.

### Optional quiet

quiet: undefined | false | true

- Defined in src/lib/imageopto.ts:40

Set true to disable error logging; the errorLog function will never be called.

Generated using TypeDoc